%if 0%{?fedora} >= 12 || 0%{?rhel} >= 8
%global with_py3 1
%endif

%global pkgname random2

Name:           python-%{pkgname}
Version:        1.0.1
Release:        2%{?dist}
Summary:        Python 2 compatible random module

License:        Python
URL:            http://pypi.python.org/pypi/%{pkgname}
Source0:        https://pypi.python.org/packages/source/r/%{pkgname}/%{pkgname}-%{version}.zip
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%if 0%{?with_py3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%global common_desc \
This package provides a Python 3 ported version of Python 2.7's random   \
module.  It has also been back-ported to work in Python 2.6.             \
\
In Python 3, the implementation of randrange() was changed, so that even \
with the same seed you get different sequences in Python 2 and 3.  Note  \
that several high-level functions such as randint() and choice() use     \
randrange(). \
\
In my testing code I heavily rely on stable random generator results and \
it makes porting code to Python 3 a lot harder, if all those tests have  \
to be adjusted.  This package fixes that.

%description
%{common_desc}

%if 0%{?with_py3}
%package -n python3-%{pkgname}
Summary:        Python 2 compatible random module for Python 3

%description -n python3-%{pkgname}
%{common_desc}
%endif

%prep
%setup -q -c

# Remove prebuilt egg
rm -fr %{pkgname}-%{version}/src/%{pkgname}.egg-info

%if 0%{?with_py3}
# Prepare for a python3 build
cp -a %{pkgname}-%{version} python3-%{pkgname}-%{version}
%endif

%build
# Python 2 build
pushd %{pkgname}-%{version}
%{__python2} setup.py build
popd

%if 0%{?with_py3}
# Python 3 build
pushd python3-%{pkgname}-%{version}
%{__python3} setup.py build
popd
%endif

%install
# Python 2 install
pushd %{pkgname}-%{version}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
popd

%if 0%{?with_py3}
# Python 3 install
pushd python3-%{pkgname}-%{version}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

%check
# Python 2 tests
pushd %{pkgname}-%{version}
%{__python2} setup.py test
popd

%if 0%{?with_py3}
# Python 3 tests
pushd python3-%{pkgname}-%{version}
%{__python3} setup.py test
popd
%endif

%files
%doc %{pkgname}-%{version}/CHANGES.txt %{pkgname}-%{version}/README.txt
%{python2_sitelib}/*

%if 0%{?with_py3}
%files -n python3-%{pkgname}
%doc %{pkgname}-%{version}/CHANGES.txt %{pkgname}-%{version}/README.txt
%{python3_sitelib}/*
%endif

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun  9 2014 Jerry James <loganjerry@gmail.com> - 1.0.1-1
- Initial RPM
